<?php
require_once 'vendor/autoload.php';

use Longman\TelegramBot\Telegram;
use Longman\TelegramBot\TelegramLog;
use Longman\TelegramBot\TelegramRequest;
use Zend\Feed\Reader\Reader;

// تنظیمات تلگرام ربات
$telegram = new Telegram('YOUR_BOT_API_KEY', 'YOUR_BOT_USERNAME');

// شناسه گروه یا چت ایندیویدوال که می‌خواهید پیام‌ها در آن ارسال شود
$chat_id = 'YOUR_CHAT_ID';

// آدرس RSS
$rss_url = 'URL_OF_YOUR_RSS_FEED';

try {
    // خواندن اطلاعات RSS
    $feed = Reader::import($rss_url);

    // گردآوری اطلاعات از هر آیتم در RSS
    foreach ($feed as $entry) {
        $message = "Title: " . $entry->getTitle() . "\n";
        $message .= "Link: " . $entry->getLink() . "\n";
        $message .= "Description: " . $entry->getDescription() . "\n\n";

        // ارسال پیام به تلگرام
        $data = [
            'chat_id' => $chat_id,
            'text' => $message,
        ];
        $result = TelegramRequest::sendMessage($data);
    }

    // ارسال پیام موفقیت آمیز
    echo "Messages sent successfully!";
} catch (Exception $e) {
    // چاپ خطا در صورت وجود خطا
    echo "Error: " . $e->getMessage();
    TelegramLog::error($e->getMessage());
}
